Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-57709

warnings-ng-plugin with incorrect dependency to git plugin

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Fixed but Unreleased (View Workflow)
    • Priority: Minor
    • Resolution: Fixed
    • Component/s: warnings-ng-plugin
    • Labels:
      None
    • Environment:
      warnings-ng-plugin v5.0.0 with incorrect dependency to git plugin
    • Similar Issues:

      Description

      Hello,

      When starting the Jenkins server, the warnings-ng plugin (since version 5.0.0) returns the following warnings: 

      hudson.ExtensionFinder$Sezpoz scout

      WARNING: Failed to scout io.jenkins.plugins.analysis.warnings.axivion.AxivionSuite$AxivionSuiteToolDescriptor

      java.lang.NoClassDefFoundError: com/cloudbees/plugins/credentials/common/AbstractIdCredentialsListBoxModel

      Caused by: java.lang.ClassNotFoundException: com.cloudbees.plugins.credentials.common.AbstractIdCredentialsListBoxModel

      hudson.ExtensionFinder$GuiceFinder$SezpozModule configure

      WARNING: Failed to load io.jenkins.plugins.analysis.warnings.axivion.AxivionSuite$AxivionSuiteToolDescriptor

      java.lang.NoClassDefFoundError: com/cloudbees/plugins/credentials/common/AbstractIdCredentialsListBoxModel

      Caused by: java.lang.ClassNotFoundException: com.cloudbees.plugins.credentials.common.AbstractIdCredentialsListBoxModel

      To correct these warnings I have to install the git plugin (optional dependency). Is there a way to avoid these warnings without installing the git plugin (which I do not want to make available on Jenkins)?

        Attachments

          Activity

          Show
          drulli Ulli Hafner added a comment - Fixed with https://github.com/jenkinsci/warnings-ng-plugin/commit/37b65c8089c5897c427a63492684a8641ddeb3be  
          Hide
          eraimbau Eric RAIMBAULT added a comment -

          With the plugin cloudbees-credentials (v3.3) and without git plugin, when starting the jenkins server, the warnings described above are always present.

          Show
          eraimbau Eric RAIMBAULT added a comment - With the plugin cloudbees-credentials (v3.3) and without git plugin, when starting the jenkins server, the warnings described above are always present.
          Hide
          drulli Ulli Hafner added a comment - - edited

          Does it work if you install the plugin cloudbees-credentials and remove git?

          Show
          drulli Ulli Hafner added a comment - - edited Does it work if you install the plugin cloudbees-credentials and remove git?

            People

            • Assignee:
              drulli Ulli Hafner
              Reporter:
              eraimbau Eric RAIMBAULT
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: